APIs / TikTok / Video

TikTok: Video

Video from TikTok as JSON. 1 credit per successful call.

GET /v1/tiktok/videoNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
urlstringRequiredUp to 500 characters
hdbooleanOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/tiktok/video?url=https%3A%2F%2Fwww.tiktok.com%2F%40tiktok%2Fvideo%2F7568510388342443294&hd=1" \
  -H "X-API-Key: $API_KEY"